hostname = '10.85.0.96';
channels = [1 3];
factor   = [25 1];
color    = ['y', 'g', 'r', 'b'];

com = openDevice(hostname);

figure('Color', [0 0 0]);
hold on;
grid on;
handle = gca;
set(handle, 'Color', [0 0 0]);
set(handle, 'GridColor', [1 1 1]);
set(handle, 'MinorGridColor', [1 1 1]);
set(handle, 'GridAlpha', .3);
set(handle, 'XColor', [1 1 1]);
set(handle, 'YColor', [1 1 1]);
xlabel('time');
ylabel('amplitude');
title('\color{white}wfm view');

while true
  cla;
  for i = 1:length(channels)
    c = channels(i);
    f = factor(i);
    
    wfm = f * getWfm(com, c);
    
    try
      plot(handle, wfm, color(c));
    catch
      return
    end
  end
  drawnow;
end
